<div<div x-data="notificationSubscriptionStatus()">
    <div x-show="! supported"><?php echo e(__('components.notification-subscription-status.no-support')); ?></div>
    <?php if($userHasTransport): ?>
    <div x-show="supported">
        <div>
            <span x-text="enabled ? '<?php echo e(__('components.notification-subscription-status.enabled')); ?>' : '<?php echo e(__('components.notification-subscription-status.disabled')); ?>'"></span>
            <button x-on:click="toggle()" type="button" class="tw-float-right tw-border tw-border-gray-500 tw-text-gray-500 hover:tw-bg-gray-500 hover:tw-text-gray-100 tw-rounded tw-px-4 tw-py-2" x-text="enabled ? '<?php echo e(__('components.notification-subscription-status.disable')); ?>' : '<?php echo e(__('components.notification-subscription-status.enable')); ?>'"></button>
        </div>
    </div>
    <?php else: ?>
    <div x-show="supported">
        <?php if (\Illuminate\Support\Facades\Blade::check('admin')): ?>
            <a href="<?php echo e(url('alert-transports')); ?>">
                <?php echo e(__('components.notification-subscription-status.no-transport')); ?>

            </a>
        <?php else: ?>
            <?php echo e(__('components.notification-subscription-status.no-transport')); ?>

        <?php endif; ?>
    </div>
    <?php endif; ?>
    <script>
        function notificationSubscriptionStatus() {
            return {
                supported: 'Notification' in window,
                enabled: 'Notification' in window && Notification.permission === 'granted' && localStorage.getItem('notifications') !== 'disabled',
                toggle() {
                    if (this.enabled) {
                        localStorage.setItem('notifications', 'disabled');
                        this.enabled = false;
                        navigator.serviceWorker.ready.then(function(serviceWorkerRegistration) {
                            serviceWorkerRegistration.pushManager.getSubscription()
                                .then(function(subscription) {
                                    if (subscription) {
                                        subscription.unsubscribe().then(function(success) {
                                            if (success) {
                                                fetch('./push/unregister', {
                                                    method: 'post',
                                                    headers: {
                                                        'Content-Type': 'application/json',
                                                        'X-CSRF-Token': '<?php echo e(csrf_token()); ?>'
                                                    },
                                                    body: JSON.stringify({
                                                        endpoint: subscription.endpoint
                                                    }),
                                                });
                                            }
                                        })
                                    }
                                })
                        })
                    } else if (Notification.permission === 'granted') {
                        localStorage.setItem('notifications', 'enabled');
                        this.enabled = true;
                    } else {
                        Notification.requestPermission().then((permission) => {
                            localStorage.setItem('notifications', 'enabled');
                            this.enabled = permission === 'granted';
                        });
                    }
                }
            }
        }
    </script>
</di</div>
<?php /**PATH /usr/share/librenms/resources/views/components/notification-subscription-status.blade.php ENDPATH**/ ?>