<?php $__env->startSection('form'); ?>
    <div class="form-group">
        <label for="title-<?php echo e($id); ?>" class="control-label"><?php echo e(__('Widget title')); ?></label>
        <input type="text" class="form-control" name="title" id="title-<?php echo e($id); ?>" placeholder="<?php echo e(__('Default Title')); ?>" value="<?php echo e($title); ?>">
    </div>

    <div class="form-group">
        <label for="stream-<?php echo e($id); ?>" class="control-label"><?php echo e(__('Stream')); ?></label>
        <select class="form-control" id="stream-<?php echo e($id); ?>" name="stream" data-placeholder="<?php echo e(__('All Messages')); ?>">
            <?php if($stream): ?>
                <option value="<?php echo e($stream); ?>"><?php echo e($stream); ?></option>
            <?php endif; ?>
        </select>
    </div>

    <div class="form-group">
        <label for="device-<?php echo e($id); ?>" class="control-label"><?php echo e(__('Device')); ?></label>
        <select class="form-control" id="device-<?php echo e($id); ?>" name="device" data-placeholder="<?php echo e(__('All Devices')); ?>">
            <?php if($device): ?>
                <option value="<?php echo e($device->device_id); ?>"><?php echo e($device->displayName()); ?></option>
            <?php endif; ?>
        </select>
    </div>

    <div class="form-group">
        <label for="limit-<?php echo e($id); ?>" class="control-label"><?php echo e(__('Page Size')); ?></label>
        <input type="number" min="1" class="form-control" name="limit" id="limit-<?php echo e($id); ?>" placeholder="<?php echo e(__('Page Size')); ?>" value="<?php echo e($limit); ?>">
    </div>

    <div class="form-group">
        <label for="loglevel-<?php echo e($id); ?>" class="control-label"><?php echo e(__('Log Level')); ?></label>
        <select name="loglevel" id="loglevel-<?php echo e($id); ?>" class="form-control">
            <option value="" disabled <?php if($loglevel == null): ?> selected <?php endif; ?>><?php echo e(__('Minimum log Level')); ?></option>
            <option value="0" <?php if($loglevel === 0): ?> selected <?php endif; ?>>(0) <?php echo e(__('syslog.severity.0')); ?></option>
            <option value="1" <?php if($loglevel == 1): ?> selected <?php endif; ?>>(1) <?php echo e(__('syslog.severity.1')); ?></option>
            <option value="2" <?php if($loglevel == 2): ?> selected <?php endif; ?>>(2) <?php echo e(__('syslog.severity.2')); ?></option>
            <option value="3" <?php if($loglevel == 3): ?> selected <?php endif; ?>>(3) <?php echo e(__('syslog.severity.3')); ?></option>
            <option value="4" <?php if($loglevel == 4): ?> selected <?php endif; ?>>(4) <?php echo e(__('syslog.severity.4')); ?></option>
            <option value="5" <?php if($loglevel == 5): ?> selected <?php endif; ?>>(5) <?php echo e(__('syslog.severity.5')); ?></option>
            <option value="6" <?php if($loglevel == 6): ?> selected <?php endif; ?>>(6) <?php echo e(__('syslog.severity.6')); ?></option>
            <option value="7" <?php if($loglevel == 7): ?> selected <?php endif; ?>>(7) <?php echo e(__('syslog.severity.7')); ?></option>
        </select>
    </div>


    <div class="form-group">
        <label for="range-<?php echo e($id); ?>" class="control-label"><?php echo e(__('Time Range')); ?></label>
        <select name="range" id="range-<?php echo e($id); ?>" class="form-control">
            <option value="0" <?php if($range == 0): ?> selected <?php endif; ?>><?php echo e(__('Search all time')); ?></option>
            <option value="300" <?php if($range == 300): ?> selected <?php endif; ?>><?php echo e(__('Search last 5 minutes')); ?></option>
            <option value="900" <?php if($range == 900): ?> selected <?php endif; ?>><?php echo e(__('Search last 15 minutes')); ?></option>
            <option value="1800" <?php if($range == 1800): ?> selected <?php endif; ?>><?php echo e(__('Search last 30 minutes')); ?></option>
            <option value="3600" <?php if($range == 3600): ?> selected <?php endif; ?>><?php echo e(__('Search last 1 hour')); ?></option>
            <option value="7200" <?php if($range == 7200): ?> selected <?php endif; ?>><?php echo e(__('Search last 2 hours')); ?></option>
            <option value="28800" <?php if($range == 28800): ?> selected <?php endif; ?>><?php echo e(__('Search last 8 hours')); ?></option>
            <option value="86400" <?php if($range == 86400): ?> selected <?php endif; ?>><?php echo e(__('Search last 1 day')); ?></option>
            <option value="172800" <?php if($range == 172800): ?> selected <?php endif; ?>><?php echo e(__('Search last 2 days')); ?></option>
            <option value="432000" <?php if($range == 432000): ?> selected <?php endif; ?>><?php echo e(__('Search last 5 days')); ?></option>
            <option value="604800" <?php if($range == 604800): ?> selected <?php endif; ?>><?php echo e(__('Search last 7 days')); ?></option>
            <option value="1209600" <?php if($range == 1209600): ?> selected <?php endif; ?>><?php echo e(__('Search last 14 days')); ?></option>
            <option value="2592000" <?php if($range == 2592000): ?> selected <?php endif; ?>><?php echo e(__('Search last 30 days')); ?></option>
        </select>
    </div>
    <div class="form-group">
        <label for="hidenavigation-<?php echo e($id); ?>" class="control-label"><?php echo e(__('Hide Navigation')); ?></label>
        <input type="checkbox" class="form-control" name="hidenavigation" id="hidenavigation-<?php echo e($id); ?>" value="<?php echo e($hidenavigation); ?>" data-size="normal" <?php if($hidenavigation): ?> checked <?php endif; ?>>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('javascript'); ?>
    <script type="application/javascript">
        init_select2('#device-<?php echo e($id); ?>', 'device', {limit: 100}, '<?php echo e($device ? $device->device_id : ''); ?>');
        init_select2('#stream-<?php echo e($id); ?>', 'graylog-streams', {}, '<?php echo e($stream); ?>');

        $('#hidenavigation-<?php echo e($id); ?>')
            .bootstrapSwitch('offColor','danger')
            .on('switchChange.bootstrapSwitch', function (e, data) {
                var hidenav = $(this).is(':checked') ? "1": "0";
                $('#hidenavigation-<?php echo e($id); ?>').val(hidenav);
            });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('widgets.settings.base', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /usr/share/librenms/resources/views/widgets/settings/graylog.blade.php ENDPATH**/ ?>